GPU hang with Haswell GT3

Bug #1197316 reported by Timo Aaltonen on 2013-07-03
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Critical
Unassigned
Raring
High
Timo Aaltonen
mesa-lts-quantal (Ubuntu)
Undecided
Unassigned
Precise
Critical
Unassigned
mesa-lts-raring (Ubuntu)
Undecided
Unassigned
Precise
High
Unassigned

Bug Description

[Impact]

renders GT3 haswells unusable

[Test Case]

use ubuntu with mesa < 9.1.4, notice how it hangs on login, and doesn't with the fixed package

[Regression Potential]

small, these are limited to GT3, and two commits to make them apply

--

The GPU hangs on login if the system has a GT3 version of Intel Haswell. This is fixed in 9.1.4 and by backporting these four commits to 9.0.x:

210f2794f5c4fedc7 i965: Turn brw->urb.vs_size and gs_size into local variables.
d4311138e47224ace i965: Use a variable for the push constant size in kB.
acff9c2bbf6cf4d9a i965: Update URB partitioning code for Haswell's GT3 variant.
ed7fa63bbd375aaf6 i965: Add chipset limits for the Haswell GT3 variant.

Timo Aaltonen (tjaalton) wrote :

fixed in saucy which has 9.1.4

affects: xserver-xorg-video-intel (Ubuntu) → mesa (Ubuntu)
Changed in mesa (Ubuntu Precise):
status: New → Invalid
Changed in mesa (Ubuntu):
status: New → Fix Released
no longer affects: mesa-lts-raring (Ubuntu Quantal)
no longer affects: mesa-lts-raring (Ubuntu Raring)
no longer affects: mesa-lts-quantal (Ubuntu Quantal)
no longer affects: mesa-lts-quantal (Ubuntu Raring)
Changed in mesa-lts-raring (Ubuntu):
status: New → Invalid
Changed in mesa-lts-quantal (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2013-07-03
Changed in mesa (Ubuntu Quantal):
status: New → In Progress
Changed in mesa (Ubuntu Raring):
status: New → In Progress
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) on 2013-07-03
description: updated
Changed in mesa-lts-quantal (Ubuntu Precise):
status: New → In Progress
Changed in mesa-lts-quantal (Ubuntu):
importance: Undecided → Critical
Changed in mesa-lts-quantal (Ubuntu Precise):
importance: Undecided → Critical
Changed in mesa-lts-quantal (Ubuntu):
importance: Critical → Undecided

Hello Timo, or anyone else affected,

Accepted mesa into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/9.0.3-0ubuntu0.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa-lts-quantal into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa-lts-quantal/9.0.3-0ubuntu0.4~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa-lts-quantal (Ubuntu Precise):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton) on 2013-07-03
description: updated
AceLan Kao (acelankao) wrote :

After installed those package from proposed repository, it can enable the chip and run on unity 3D.

linux-image-3.5.0-36-generic libgl1-mesa-glx-lts-quantal libglapi-mesa-lts-quantal libgl1-mesa-dri-lts-quantal libdrm2 xserver-xorg-video-intel-lts-quantal

tags: added: verification-done-quantal
removed: verification-needed
Timo Aaltonen (tjaalton) on 2013-07-04
Changed in mesa-lts-raring (Ubuntu Precise):
importance: Undecided → High
Changed in mesa (Ubuntu Raring):
importance: Undecided → High
Changed in mesa (Ubuntu Quantal):
importance: Undecided → Critical
tags: added: verification-needed-raring
Timo Aaltonen (tjaalton) wrote :

I've verified the quantal lts backport on haswell GT2 and sandybridge, doesn't break anything there.

Timo Aaltonen (tjaalton) on 2013-07-04
Changed in mesa-lts-raring (Ubuntu Precise):
status: New → In Progress
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa/9.1.4-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Raring):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in mesa-lts-raring (Ubuntu Precise):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa-lts-raring into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/mesa-lts-raring/9.1.4-0ubuntu0.1~precise1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa-lts-quantal - 9.0.3-0ubuntu0.4~precise1

---------------
mesa-lts-quantal (9.0.3-0ubuntu0.4~precise1) precise-proposed; urgency=low

  * Added patches to fix a GPU hang with GT3. (LP: #1197316)
 -- Timo Aaltonen <email address hidden> Wed, 03 Jul 2013 13:09:33 +0300

Changed in mesa-lts-quantal (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 9.0.3-0ubuntu0.4

---------------
mesa (9.0.3-0ubuntu0.4) quantal-proposed; urgency=low

  * Added patches to fix a GPU hang with GT3 (LP: #1197316)
    - add-chipset-limits-for-the-haswell-gt3-variant.diff
    - turn-brw-urb-vs-size-and-gs-size-into-local-variables.diff
    - update-urb-partitioning-code-for-haswell-gt3-variant.diff
    - use-a-variable-for-the-push-constant-size-in-kb.diff

mesa (9.0.3-0ubuntu0.3) quantal-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - fix-hsw-crw-ids.diff
    - add-vlv-ids.diff
    - fix-hsw-gt3-names.diff
    - fix-missing-gt3-id.diff
    - add-more-reserved-hsw-ids.diff
 -- Timo Aaltonen <email address hidden> Wed, 03 Jul 2013 11:03:21 +0300

Changed in mesa (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package mesa-lts-raring - 9.1.4-0ubuntu0.1~precise1

---------------
mesa-lts-raring (9.1.4-0ubuntu0.1~precise1) precise-proposed; urgency=low

  * New upstream bugfix release 9.1.4. (LP: #1197363)
    - fix a GPU hang with GT3. (LP: #1197316)
  * revert-a64c1eb9b110.diff: updated.

mesa (9.1.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release 9.1.4. (LP: #1197363)
    - fix a GPU hang with GT3. (LP: #1197316)
  * Dropped patches that are included in this release
  * revert-a64c1eb9b110.diff: updated.

mesa (9.1.3-0ubuntu0.4) raring-proposed; urgency=low

  * Added patches to add/fix Haswell pci-id's (LP: #1175533)
    - add-vlv-ids.diff
    - fix-hsw-gt3-names.diff
    - fix-missing-gt3-id.diff
    - add-more-reserved-hsw-ids.diff

mesa (9.1.3-0ubuntu0.3) raring-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    out-of-bands access
    - debian/patches/CVE-2013-1872.patch: check for out-of-bounds reads in
      src/mesa/drivers/dri/i965/brw_fs.cpp,
      src/mesa/drivers/dri/i965/brw_fs.h,
      src/mesa/drivers/dri/i965/brw_fs_visitor.cpp.
    - CVE-2013-1872
  * SECURITY UPDATE: denial of service and possible code execution via
    integer overflows
    - debian/patches/CVE-2013-1993.patch: check lengths in
      src/glx/XF86dri.c.
    - CVE-2013-1993

mesa (9.1.3-0ubuntu0.2) raring-proposed; urgency=low

  * Add back a patch that reverts a change which made blur slow on i915,
    add two other reverts so the big one applies cleanly. (LP: #1187500)

mesa (9.1.3-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream micro-release. (LP: #1183269)
  * Drop revert-a64c1eb9b110.diff; it no longer applies.
    - The patch reverted the regression where the unity dash appeared
      very slowly, but should no longer be needed with the upstream fixes.

mesa (9.1.3-0ubuntu2) saucy; urgency=low

  * Add back a patch that reverts a change which made blur slow on i915,
    add two other reverts so the big one applies cleanly. (LP: #1187500)

mesa (9.1.3-0ubuntu1) saucy; urgency=low

  [ Robert Hooker ]
  * New upstream bug-fix release.
  * Drop upstream patches:
     - 0001-nv50-fix-3D-render-target-setup.patch
     - 0002-nv50-nvc0-disable-DEPTH_RANGE_NEAR-FAR-clipping-duri.patch
     - 0003-nv50-nvc0-fix-3d-blits-restore-viewport-after-blit.patch
     - 0004-nvc0-fix-for-2d-engine-R-source-formats-writing-RRR1.patch
     - 100_no_abi_tag.patch
     - 119-libllvmradeon-link.patch
     - vbo-fix-crash.diff
  * debian/patches/117-static-gallium.patch: Refresh for minor change
    in 9.1.2

mesa (9.1.3-1) UNRELEASED; urgency=low

  * New upstream release.
    - Set close on exec flag when opening dri devices (Closes: #651370).
    - Don't emit a .note.ABI-tag section anymore (Closes: #628758).

  [ Timo Aaltonen ]
  * Refresh patches
    - disable 05_kfreebsd-egl-x11.diff for now.
  * control: Added libtool to build-depends.
  * rules: Drop special handling of config.{guess,sub}, not needed anymore.
  * rules, libosmesa*: Build only the 32bit OSMesa library.
  * control: Bump libdrm build-dep to 2.4.39.
  * control: Bump libwayland-dev build-dep to 0.95.
...

Read more...

Changed in mesa-lts-raring (Ubuntu Precise):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

marking as verified on raring, since the 9.1.4 update is already on precise as lts backport, and seemingly working fine there

Adam Conrad (adconrad) on 2013-09-06
tags: added: verification-done verification-done-raring
removed: verification-needed verification-needed-raring
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 9.1.4-0ubuntu0.1

---------------
mesa (9.1.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release 9.1.4. (LP: #1197363)
    - fix a GPU hang with GT3. (LP: #1197316)
  * Dropped patches that are included in this release
  * revert-a64c1eb9b110.diff: updated.
 -- Timo Aaltonen <email address hidden> Wed, 03 Jul 2013 13:54:33 +0300

Changed in mesa (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers